sayren Docs
구매자

구매자 보유 쿠폰 조회

GET
/v1/customers/{customerId}/coupons

Authorization

accessToken
headerAuthorizationBearer <token>

Sayren 계정 토큰(로그인 토큰 또는 개인 액세스 토큰, RFC 9068 JWT)

Path Parameters

customerId*string

Header Parameters

X-Store-Id*string

대상 상점 id. 토큰의 상점 범위 밖이면 403 STORE_NOT_GRANTED, 없으면 400 STORE_ID_REQUIRED다

Response Body

성공

application/json
  1. response
meta*
data*array<>
error*|null
curl -X GET 'https://api.sayren.io/v1/customers/string/coupons' \  -H 'X-Store-Id: string'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": [    {      "issueId": "string",      "couponId": "string",      "customerId": "string",      "customerName": "string",      "source": "string",      "status": "string",      "validFrom": "string",      "validUntil": "string",      "usedOrderId": "string",      "issuedAt": "string",      "revokedAt": "string",      "couponName": "string",      "kind": "ORDER",      "benefit": {        "type": "RATE",        "value": 1,        "maxDiscountAmount": 1      }    }  ],  "error": null}